Bug 832594 - eGalax Touchpad incorrectly detected and not working
eGalax Touchpad incorrectly detected and not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 17:10 EDT by Indro
Modified: 2013-08-01 08:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:56:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg logs (33.58 KB, text/x-log)
2012-06-15 17:10 EDT, Indro
no flags Details
O/P of cat /proc/bus/input/devices (3.30 KB, text/plain)
2012-06-15 17:12 EDT, Indro
no flags Details

  None (edit)
Description Indro 2012-06-15 17:10:43 EDT
Created attachment 592234 [details]
Xorg logs

Description of problem:

Multiple problems due to eGalax Touchscreen on Fedora17 (HP TX1000 tablet)
1. Touchscreen is not working.
2. Touchscreen is incorrectly detected.
3. Incorrect detection causes problems with working of Synaptics Touchpad as well.
4. If eGalax Touchscreen is disabled, Synaptics Touchpad works properly
5. Command used to disable eGalax Touchscreen
   xinput set-prop 11 'Device Enabled' 0
   xinput set-prop 12 'Device Enabled' 0

6. eGalax Touchscreen is detected twice
   Output of 'xinput list'
   ↳ eGalax INC. USB TouchController           id=12   [slave  pointer  (2)]
   ↳ eGalax INC. USB TouchController           id=11   [slave  pointer  (2)]
7. Suspect that eGalx Touchscreen is also getting detected as Touchpad.

Xorg.log is attached. Please search for keyword eGalax in the file.


H/W Details::
HP Pavillion TX1000 tablet


How reproducible:
On booting Touchcreen is not working.
Also, Synaptics touchpad works erratically until the eGalax Touchscreen is disabled using the xinput command as mentioned above.

Steps to Reproduce:
1. Boot HP TX1000 tablet, log into KDE and try using the GUI.

  
Actual results:
1. eGalax Touchscreen is not functional.
2. Synaptics touchpad behaves wierdly (taps & clicks not getting detected).
3. Disable eGalax touchscreen using 'xinput set-prop'command and Synaptics Touchpad starts working properly but Touchscreen still remains non functional.

Expected results:
Both Touchscreen and Touchpad should work properly.

Additional info:
Looks related to Bug 473144. There similar problem (eGalx touchpad detected twice and incorrectly as touchpad was resolved using some HAL fdi policy). I could not use the information to fix my problem as it appears that HAL was deprecated in Fedora 16. Problem may have started at that time.
Comment 1 Indro 2012-06-15 17:12:39 EDT
Created attachment 592235 [details]
O/P of cat /proc/bus/input/devices
Comment 2 Fedora End Of Life 2013-07-04 00:11:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 08:56:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.